Title           Communication with Resource Manager - init data

NameResmgrDD    db 'RESMGR$ ',0                 ; the space char is needed

IDC_ResmgrDD    dw 0                            ; Reserved
                dw 0                            ; Reserved
ResmgrIDC_CS_R3 dw 0                            ; R3 IDC CS "Reserved"
ResmgrIDC_CS_R0 dw 0                            ; R0 IDC IP
ResmgrIDC_IP_R0 dw 0                            ; R0 IDC CS
                dw 0                            ; R0 IDC DS

                public DrvrFileName
DrvrFileName    db 128 dup (0)                  ; driver filename

IFDEF IS_PCICONF_SNP
DrvrDescript    db 'Automaticlly configure I/O and memory adresses and bus numbers for PCI'
               ;db ' ',datum
                db 0
ENDIF

IFDEF IS_PCIBUS_SNP
DrvrDescript    db 'PCI Bus Enumerator Driver'
               ;db ' ',datum
                db 0
ENDIF

IFDEF IS_MEMORY_SNP
DrvrDescript    db 'Block OS/2 Kernel managed memory',0
ENDIF

VendorName      db 'Veit Kannegieser',0

DriverStructure label byte
                dd DrvrFileName
                dd DrvrDescript
                dd VendorName
                db 1                            ; MajorVer API
                db 1                            ; MinorVer API
                dw year                         ; Year
                db month                        ; Month
                db day                          ; Day
IFDEF IS_PCICONF_SNP
                dw DRF_DYNAMIC                  ; DrvrFlags
                dw DRT_SERVICE                  ; DrvrType
                dw DRS_CONFIG                   ; DrvrSubType
ELSE ; IS_PCICONF_SNP
IFDEF IS_PCIBUS_SNP
                dw DRF_STATIC                   ; DrvrFlags
                dw DRT_SERVICE                  ; DrvrType
                dw DRS_SNOOPER                  ; DrvrSubType
ELSE ; IS_PCIBUS_SNP
IFDEF IS_MEMORY_SNP
                dw DRF_STATIC                   ; DrvrFlags
                dw DRT_SERVICE                  ; DrvrType
                dw DRS_SNOOPER                  ; DrvrSubType
ELSE ; IS_MEMORY_SNP
                .error
ENDIF ; IS_MEMORY_SNP
ENDIF ; IS_PCIBUS_SNP
ENDIF ; IS_PCICONF_SNP
                dd 0                            ; DrvrCallback

                Public DriverStructure,VendorName,DrvrDescript
                